<?php

$GLOBALS[ 'dossier_squelettes' ] = "maiis" ;

$GLOBALS[ 'puce' ] = "- " ;

/*
 *   +----------------------------------+
 *    Nom du Filtre :    smileys II
 *   +----------------------------------+
 *    Date : mercredi 14 octobre 2003
 *    Auteur :  BoOz (booz.bloog@laposte.net)
 *   +-------------------------------------+
 *    Fonctions de ce filtre :
 *    Dans un texte, genere automatiquement le smiley 
 *    approprie a la place d'une chaine :nom.
 *    Ce filtre utilise les smileys disponibles dans       
 *    le repertoire smileys/
 *    Exemple d'application :
 *    [(#TEXTE|smileys)]
 *   +-------------------------------------+ 
 *  
 * Pour toute suggestion, remarque, proposition d'ajout
 * reportez-vous au forum de l'article :
 * http://www.uzine.net/spip_contrib/article.php3?id_article=261
*/

function smileys($chaine) {
	$listimag = array() ;
	$repertoire = $GLOBALS[ 'dossier_squelettes' ] . "/images/smileys/" ;
	$listfich = opendir($repertoire) ;
	while ( $fich = readdir($listfich) ) {
		if( ( $fich != '..' ) and ( $fich != '.' ) and ( $fich != '.DS_Store' ) ) { 
			$nomfich = substr($fich,0,strrpos($fich, ".")) ;
			$listimag[$nomfich] = '<img class="smiley" alt="smiley" src="' . $repertoire . '' . $fich . '" />' ;
		}
	}
	ksort($listimag) ;
	reset($listimag) ;
	while ( list($nom,$chem) = each($listimag) ) { 
		$chaine = str_replace(":".$nom, $chem , $chaine) ;
	}
	return $chaine;
}

function gerer_menu_langues() {
	global $var_lang;
	if ($var_lang) {
		if (changer_langue($var_lang)) {
			spip_setcookie('spip_lang', $var_lang, time() + 24 * 3600);
		}
	}
} 

function google_like($string) {
	$query = rtrim(str_replace("+", " ", $_GET['recherche']));
	$qt = explode(" ", $query);
	$num = count ($qt);
	$cc = ceil(200 /$num);
	for ($i = 0; $i < $num; $i++) {
		$tab[$i] = preg_split("/($qt[$i])/i",$string,2, PREG_SPLIT_DELIM_CAPTURE);
		if(count($tab[$i])>1) {
			$avant[$i] = substr($tab[$i][0],-$cc,$cc);
			$apres[$i] = substr($tab[$i][2],0,$cc);
			$string_re .= "<i>[...]</i> $avant[$i]<b>".$tab[$i][1]."</b>$apres[$i] <i>[...]</i>  ";
		}
	}
	return $string_re;
}

function au_pluriel ($nombre, $singulier, $pluriel) {
	if ( $nombre == 1 )
		$texte = "$singulier" ;
	if ( $nombre >= 2 )
		$texte = "$pluriel" ;
	return $texte ;
}

?>